## psychtoolbox-3 3.0.12.20150316.dfsg

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20150316.dfsg-1~nd13.10+1) saucy; urgency=low

  * Backported for saucy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 20 Mar 2015 04:42:54 -0400

psychtoolbox-3 (3.0.12.20150316.dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 20 Mar 2015 00:54:26 -0400

psychtoolbox-3 (3.0.12.20141228.dfsg2-1) experimental; urgency=medium

  * New upstream release
  * debian/dfsg-upstream
    - remove also binary builds of drivers
    - do not remove copy of glew -- >= 1.11.0 needed for backport builds
  * debian/rules - patch to use system GLEW only if it is >= 1.11.0
  * debian/control - limit builds to lsb-base (>= 4.1+Debian8), so we build
    in NeuroDebian for Debian >= 7.0 (wheezy), Ubuntu >= 14.04 (trusty)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Jan 2015 11:25:15 -0500

psychtoolbox-3 (3.0.12.20141019.dfsg1-1) UNRELEASED; urgency=medium

  * New upstream release
    - requires gstreamer 1.0 (debian/control adjusted)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Oct 2014 22:40:11 -0400

=== debian/control ===
Source: psychtoolbox-3
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), rsync, quilt,
               lsb-base (>= 4.1+Debian8~),
               matlab-support-dev,
               octave-pkg-dev (>= 0.5.7),
               gfortran,
               libpciaccess-dev,
               libxml2-dev,
               libglib2.0-dev,
               libxxf86vm-dev,
               libglu1-mesa-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxrandr-dev,
               libglew-dev (>= 1.9.0~) | libglew1.9-dev,
               freeglut3-dev,
               libgstreamer-plugins-base1.0-dev,
               gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-libav,
               libdc1394-22-dev,
               libusb-1.0-0-dev (>= 2:1.0.9~),
               libfreenect-dev (>= 0.1.2),
               libfontconfig1-dev,
               libfreetype6-dev,
               libasound2-dev,
               libopenal-dev,
               xvfb, xauth, libgl1-mesa-dri, xdotool,
               pulseaudio-utils, octave-image,
               gnuplot-nox | gnuplot,
Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1), libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2)
Standards-Version: 3.9.3
Homepage: http://psychtoolbox.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychtoolbox-3.git


Package: psychtoolbox-3-common
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Recommends: subversion
Suggests: gnuplot
Description: toolbox for vision research -- arch/interpreter independent part
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 This package contains architecture independent files (such as .m scripts)

Package: psychtoolbox-3-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer1.0-plugins-base,
            gstreamer1.0-plugins-good,
            gstreamer1.0-plugins-bad,
            gstreamer1.0-plugins-ugly,
            gstreamer1.0-libav,
Description: toolbox for vision research -- arch-specific parts
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 This package contains additional binaries (tools/dynamic libraries) used
 by both Octave and Matlab frontends.

Package: octave-psychtoolbox-3
Architecture: any
Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
         psychtoolbox-3-common (= ${source:Version}),
         psychtoolbox-3-lib (= ${binary:Version}),
Recommends: octave-audio,
            octave-image,
            octave-optim,
            octave-signal,
            octave-statistics,
Provides: psychtoolbox, psychtoolbox-3
Description: toolbox for vision research -- Octave bindings
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 See also http://www.psychtoolbox.org/UsingPsychtoolboxOnUbuntu for
 additional information about systems tune-up and initial configuration.
 .
 This package contains bindings for Octave.

Package: psychtoolbox-3-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
Description: toolbox for vision research -- debug symbols for binaries
 Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
 GNU/Octave functions for vision research. It makes it easy to
 synthesize and show accurately controlled visual and auditory stimuli
 and interact with the observer.
 .
 The Psychophysics Toolbox interfaces between Matlab or Octave and the
 computer hardware. The Psychtoolbox's core routines provide access to
 the display frame buffer and color lookup table, allow
 synchronization with the vertical retrace, support millisecond
 timing, allow access to OpenGL commands, and facilitate the
 collection of observer responses. Ancillary routines support common
 needs like color space transformations and the QUEST threshold
 seeking algorithm.
 .
 To ease debugging and troubleshooting this package contains debug
 symbols for Octave bindings and other binaries.

#Package: matlab-psychtoolbox-3
#Section: contrib/science
#Architecture: all
#Provides: psychtoolbox, psychtoolbox-3
#Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
# matlab-support,
# psychtoolbox-3-common (= ${source:Version}),
#Description: toolbox for vision research -- Matlab bindings
# Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
# GNU/Octave functions for vision research. It makes it easy to
# synthesize and show accurately controlled visual and auditory stimuli
# and interact with the observer.
# .
# The Psychophysics Toolbox interfaces between Matlab or Octave and the
# computer hardware. The Psychtoolbox's core routines provide access to
# the display frame buffer and color lookup table, allow
# synchronization with the vertical retrace, support millisecond
# timing, allow access to OpenGL commands, and facilitate the
# collection of observer responses. Ancillary routines support common
# needs like color space transformations and the QUEST threshold
# seeking algorithm.
# .
# This package contains sources of low-level implementations which get
# build for use with Matlab during installation.  Note that this
# package depends on Matlab -- a commercial software that needs to be
# obtain and installed separately.

#Package: psychtoolbox-3-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends},
#Description: toolbox for vision research -- documentation
# Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
# GNU/Octave functions for vision research. It makes it easy to
# synthesize and show accurately controlled visual and auditory stimuli
# and interact with the observer.
# .
# The Psychophysics Toolbox interfaces between Matlab or Octave and the
# computer hardware. The Psychtoolbox's core routines provide access to
# the display frame buffer and color lookup table, allow
# synchronization with the vertical retrace, support millisecond
# timing, allow access to OpenGL commands, and facilitate the
# collection of observer responses. Ancillary routines support common
# needs like color space transformations and the QUEST threshold
# seeking algorithm.
# .
# This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# get Octave paths
include /usr/share/octave/debian/defs.make
# get Matlab paths
include /usr/share/matlab/debian/defs.make

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
uver = $(shell echo $(debver) | sed -e 's,-[^-]*$$,,g' )
uver_nondfsg = $(shell echo $(uver) | sed -e 's,.dfsg[0-9]*,,g')

# Directories which are created/populated/cleanedup
BDIRS=Psychtoolbox/PsychBasic/Octave3LinuxFiles Psychtoolbox/PsychBasic/PsychPlugins
OCT_SHAREDDIR=debian/psychtoolbox-3-common/usr/share/psychtoolbox-3
OCT_LIBDIR=debian/octave-psychtoolbox-3/usr/lib/psychtoolbox-3

export LDFLAGS=-Wl,--as-needed

# Critical for building on machines with multiarch support
# (e.g. ubuntu 11.04)
GLIB_INCLUDES=$(shell pkg-config --cflags glib-2.0)
GLEW_VERSION=$(shell pkg-config --modversion glew)

# Upstream advises to build without optimization at the moment
export CXXFLAGS=-Wall -g -O0
export CFLAGS=-Wall -g -O0 -std=gnu99 $(GLIB_INCLUDES)

# Let's use "advanced" bash patterns
export SHELL=/bin/bash

%:
	dh $@ --with quilt

override_dh_quilt_patch:
	dpkg --compare-versions $(GLEW_VERSION) lt 1.11.0 \
	 || { echo "I: system GLEW is $(GLEW_VERSION). Thus adding a use_system_GLEW patch"; \
		  echo 'deb_use_system_GLEW' >> debian/patches/series; }
	dh_quilt_patch

override_dh_quilt_unpatch:
	dh_quilt_unpatch
	sed -i -e '/deb_use_system_GLEW/d' debian/patches/series

override_dh_auto_build: build-stamp
build-stamp:
	mkdir -p $(BDIRS)
	: # Build patched version of portaudio
	: # dependent on patch deb_portaudio_Makefile
	$(MAKE) -C PsychSourceGL/Cohorts/PortAudio

	: # Build all extensions, but:
	: #  3  dependent on portaudio above
	: #  4  libeyelink -- non-distributable binary blob with open-sourced API
	cd PsychSourceGL/Source/; \
		for mode in 0 1 2 3   5 6 7 8 9; do \
		  octave -p $(CURDIR)/Psychtoolbox/PsychOneliners -q --eval "linuxmakeitoctave3($$mode)" || exit 1; \
	done

	: # Manually build OpenGL text renderer extension
	cd PsychSourceGL/Cohorts/FTGLTextRenderer; \
	$(CXX) $(CXXFLAGS) -I. -I/usr/include/ -I/usr/include/freetype2/ \
		-L/usr/lib -pie -shared -fPIC \
		-Wl,-Bsymbolic -Wl,-Bsymbolic-functions \
		-Wl,--version-script=linuxexportlist.txt \
		-o libptbdrawtext_ftgl.so.1 \
		libptbdrawtext_ftgl.cpp qstringqcharemulation.cpp OGLFT.cpp \
		-lGL -lGLU -lfontconfig -lfreetype

	: # Manually build tcp_udp_ip toolbox's extension
	cd ./Psychtoolbox/PsychHardware/iViewXToolbox/tcp_udp_ip; \
		octave -q --eval "mex pnet.c"; [ -f pnet.mex ]

	install --mode=0644 PsychSourceGL/Cohorts/FTGLTextRenderer/libptbdrawtext_ftgl.so.1 \
	   Psychtoolbox/PsychBasic/PsychPlugins
	touch $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Smoke test some Demos and Tests -- some are excluded for various reasons
	: # image would be needed for one of the demos
	cd Psychtoolbox/PsychDemos/PsychTutorials/; ln -sf ../konijntjes1024x768*.jpg .
	cd Psychtoolbox/PsychTests/; ln -sf ../PsychDemos/konijntjes1024x768*.jpg .

	find Psychtoolbox/PsychDemos Psychtoolbox/PsychTests -type f -iname *.m \
	| grep -v -e "FAILURES DUE TO ABSENT FUNCTIONALITY IN TEST ENVIRONMENT" \
      -e Contents -e Stereo -e Serial -e PsychCV \
      -e Cedrus -e BitsPlus -e Kinect -e GPGPU -e DualHeads -e DaqTest \
      -e Matlab -e FitCumNormYNTest -e OSAUCSTest -e FitGammaPow -e FitGammaDemo \
      -e DirectInputMonitoringTest \
	  -e OldNewReco -e AlphaImageDemo/[^A] \
      -e ClutAnimDemo -e MinimumMotionExp -e AdditiveBlendingForLinearSuperpositionTutorial \
      -e ImagingVideoCaptureDemo -e AudioTunnel3DDemo \
      -e DetectionRTInVideoDemo \
      -e VideoRecordingDemo -e PlayMoviesDemo -e PlayInterlacedMovieDemo \
      -e ErrorCatchDemo -e MovieDemo\.m -e VideoTextureExtractionDemo \
      -e VideoCapture \
      -e DatarecordingFromISCANDemo -e PsychRTBoxDemo \
      -e BlurredMipmapDemo \
      -e Tests.*Timing -e HIDIntervalTest \
      -e HighPrecisionLuminanceOutputDrivers -e HIDTest \
      -e SyncedCLUTUpdateTest -e GetSecsTest -e ConvolutionKernelTest \
      -e OSSchedulingAccuracyTest -e PTBAndVSETColorimetryTest \
      -e LoadGenerator \
    | grep -v -e "REQUIRE SOUND I/O (more in above list)" \
      -e Sound -e Audio -e BasicAMAndMixScheduleDemo -e SimpleVoiceTriggerDemo \
      -e KeyboardLatencyTest \
      -e LoadMovieIntoTexturesDemo -e PlayMoviesWithoutGapDemo2 \
    | grep -v -e "REQUIRE USER INPUT (more in the first list (TODO))" \
      -e RenderDemo -e CalDemo -e KbDemo -e KbQueueDemo \
    | grep -v -e "REQUIRE TOO LONG TO COMPLETE (and otherwise doesn't exit)" \
      -e QuestTest \
    | grep -v -e "KNOWN FAILURES TO BE FIXED (more in the first list (TODO))" \
      -e PlayMoviesWithoutGapDemo1 \
      -e FitWeibull.*Test -e DeinterlacerTest -e FitConeFundamentalsTest \
      -e AlphaMultiplicationTest -e MinExpEntStairDemo \
    | grep -v -e "REQUIRE SOME ADDITIONAL CMDLINE TOOLS AND SPECIAL HW" \
      -e PTBAndIsetbioColorimetryTest \
	| xargs debian/run_tests || echo "TESTS FAILED"

#      -e MovieDemos \
	: # Cleanup
	find -iname MLIexpSubj11.txt -delete
else
	: # Skip unittests due to nocheck
endif


override_dh_auto_install:
	dh_auto_install
	: # to guarantee -common existance for arch-dep builds only:
	mkdir -p $(OCT_SHAREDDIR)
	rsync -a --exclude=*.o ./Psychtoolbox/ $(OCT_SHAREDDIR)

	: # Move .mex to reside alongside with .m to gain easy help in octave
	mv $(OCT_SHAREDDIR)/PsychBasic/Octave3LinuxFiles/* $(OCT_SHAREDDIR)/PsychBasic
	: # But PsychHID must go into PsychHardware alongside with .m
	mv $(OCT_SHAREDDIR)/PsychBasic/PsychHID.mex $(OCT_SHAREDDIR)/PsychHardware
	rmdir $(OCT_SHAREDDIR)/PsychBasic/Octave3LinuxFiles

	: # Move .mex binaries under /usr/lib and create symlinks file to point back
	mkdir -p $(OCT_LIBDIR)
	cp debian/octave-psychtoolbox-3.links.in  debian/octave-psychtoolbox-3.links
	find $(OCT_SHAREDDIR)/ -iname \*.mex | while read f; do \
		fn=$$(basename $$f); ds=$$(dirname $$f); \
		dl=$$(echo $$ds | sed -e 's,psychtoolbox-3-common,octave-psychtoolbox-3,g' -e 's,/share/,/lib/,g'); \
		echo "I: Moving $$f under $$dl"; \
		mkdir -p $$dl; \
		mv $$f $$dl; \
		echo "/usr/lib$${f#*usr/share}	/usr$${f#*usr}" >> debian/octave-psychtoolbox-3.links; \
	done

	cp debian/psychtoolbox-3-lib.links.in  debian/psychtoolbox-3-lib.links
	find $(OCT_SHAREDDIR)/ -iname \*.so* -o -iname \*.a | while read f; do \
		fn=$$(basename $$f); ds=$$(dirname $$f); \
		dl=$$(echo $$ds | sed -e 's,psychtoolbox-3-common,psychtoolbox-3-lib,g' -e 's,/share/,/lib/,g'); \
		echo "I: Moving $$f under $$dl"; \
		mkdir -p $$dl; \
		mv $$f $$dl; \
		echo "/usr/lib$${f#*usr/share}	/usr$${f#*usr}" >> debian/psychtoolbox-3-lib.links; \
	done

	: # Filter out duplicate licenses etc
	find debian/ -iname 3Dlabs-License.txt -o \
				 -iname COPYING -o \
				 -iname *license.txt | xargs -r rm

	: # Filter out some scripts which aren't pertitent to Debian systems
	find debian/ -iname simplepsychtoolboxsetup.sh -o -iname setupdate.sh | xargs -r rm
	find debian/ -regextype posix-egrep -regex '.*/(Update|Setup|Download)Psychtoolbox\..*' -delete

override_dh_makeshlibs:
	dh_makeshlibs
	: # Provide Octave:Depends
	[ -e /usr/bin/octave-depends ] \
	&& octave-depends \
	|| echo 'octave:Depends=octave (>= 3.4.3-1~)' >> debian/octave-psychtoolbox-3.substvars

#override_dh_fixperms:
#	dh_fixperms

override_dh_strip:
	dh_strip --dbg-package=psychtoolbox-3-dbg

override_dh_shlibdeps:
	@: # octave will take care of proper deps for extensions -- no need to scan
	@: # them and warn all the time
	dh_shlibdeps -l$(shell octave-config --print OCTLIBDIR)

	: # Manually remove executable bit for everything not to be executed (e.g. .mex .m .so.*)
	@: # needs to be done post dh_strip,dh_shlibdeps so that .mex are found by dh_strip, dh_shlibdeps
#	find debian/ -regextype posix-egrep \

## psychtoolbox-3 3.0.12.20150725.dfgs1

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20150725.dfgs1-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 27 Jul 2015 22:13:03 -0400

psychtoolbox-3 (3.0.12.20150725.dfgs1-1) unstable; urgency=medium

  * New upstream beta release
    - updated optional deb_use_system_GLEW for upstream inclusion of
      -lX11-xcb -lxcb -lxcb-dri3
  * debian/control
    - new build-depends: libxcb1-dev, libx11-xcb-dev, libxcb-dri3-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Jul 2015 12:57:01 -0400

psychtoolbox-3 (3.0.12.20150419.dfgs1-1) unstable; urgency=medium

  * New upstream beta release
    - deals with  tripple buffer on intel cards without requiring xorg.conf
      tuneup
  * debian/patches/deb_use_system_GLEW
    - refreshed
  * debian/copyright
    - updated years
    - shortened name for SGI license and listed it for glu_edit.h
  * upload to unstable
    - should provide needed dependency on newer gstreamer 1.0
      (Closes: #785869)
  * debian/upstream -> debian/upstream/metadata migration
  * debian/control
    - boosted policy to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 May 2015 08:56:53 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libglib2.0-dev,
                libxxf86vm-dev,
                libglu1-mesa-dev,
+               libxcb1-dev, libx11-xcb-dev, libxcb-dri3-dev,
                libxext-dev,
                libxfixes-dev,
                libxi-dev,
@@ -33,7 +34,7 @@
                pulseaudio-utils, octave-image,
                gnuplot-nox | gnuplot,
 Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1), libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://psychtoolbox.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychtoolbox-3.git

=== debian/rules ===
--- 
+++ 
@@ -36,12 +36,16 @@
 override_dh_quilt_patch:
 	dpkg --compare-versions $(GLEW_VERSION) lt 1.11.0 \
 	 || { echo "I: system GLEW is $(GLEW_VERSION). Thus adding a use_system_GLEW patch"; \
-		  echo 'deb_use_system_GLEW' >> debian/patches/series; }
+		  echo 'deb_use_system_GLEW' >> debian/patches/series; \
+	      echo "I: moving copy of glew.c aside"; \
+	      find -iname glew.c | while read f; do mv $$f $${f}__; done; }
 	dh_quilt_patch
 
 override_dh_quilt_unpatch:
 	dh_quilt_unpatch
-	sed -i -e '/deb_use_system_GLEW/d' debian/patches/series
+	dpkg --compare-versions $(GLEW_VERSION) lt 1.11.0 \
+	 || { find -iname glew.c__ | while read f; do mv $$f $${f//__/}; done; \
+	      sed -i -e '/deb_use_system_GLEW/d' debian/patches/series; }
 
 override_dh_auto_build: build-stamp
 build-stamp:
@@ -188,6 +192,3 @@
 	@: # them and warn all the time
 	dh_shlibdeps -l$(shell octave-config --print OCTLIBDIR)
 
-	: # Manually remove executable bit for everything not to be executed (e.g. .mex .m .so.*)
-	@: # needs to be done post dh_strip,dh_shlibdeps so that .mex are found by dh_strip, dh_shlibdeps
-#	find debian/ -regextype posix-egrep \

## psychtoolbox-3 3.0.12.20160126.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20160126.dfsg1-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - modify the portaudio Makefile and build-depend on autotools-dev to
      support new arches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 01 Feb 2016 21:22:56 -0800

psychtoolbox-3 (3.0.12.20160126.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/dfsg-upstream
    - adjusted to exclude many new 3rd party library (oculus SDK, etc) which
      either need to be packaged separately or just not compatible with DFSG

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Jan 2016 23:36:56 -0500

psychtoolbox-3 (3.0.12.20150725.dfgs1-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - modify the portaudio Makefile and build-depend on autotools-dev to
      support new arches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Nov 2015 23:08:47 -0600

psychtoolbox-3 (3.0.12.20150725.dfgs1-2) unstable; urgency=medium

  * debian/rules
    - export gstreamer-1.0 cflags to make g++ find headers under /usr/lib/ARCH
    - remove core files which might get dumped
  * debian/octave-psychtoolbox-3.lintian-overrides
    - allow embedding GLEW

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Sep 2015 11:05:38 -0700

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu4) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Aug 2015 12:35:45 +0000

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu3) wily; urgency=medium

  * No change rebuild for new libfreenect 

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 18 May 2015 16:44:57 -0500

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu2) vivid; urgency=medium

  * Try an alternate solution that involves modifying the portaudio Makefile.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 22 Dec 2014 03:23:56 -0500

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 21 Dec 2014 04:59:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: psychtoolbox-3
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), rsync, quilt,
                lsb-base (>= 4.1+Debian8~),
@@ -33,6 +33,7 @@
                xvfb, xauth, libgl1-mesa-dri, xdotool,
                pulseaudio-utils, octave-image,
                gnuplot-nox | gnuplot,
+               autotools-dev
 Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1), libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2)
 Standards-Version: 3.9.6
 Homepage: http://psychtoolbox.org
@@ -42,7 +43,7 @@
 
 Package: psychtoolbox-3-common
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: subversion
 Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
@@ -64,7 +65,7 @@
 
 Package: psychtoolbox-3-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
             gstreamer1.0-plugins-bad,
@@ -90,7 +91,7 @@
 
 Package: octave-psychtoolbox-3
 Architecture: any
-Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
          psychtoolbox-3-common (= ${source:Version}),
          psychtoolbox-3-lib (= ${binary:Version}),
 Recommends: octave-audio,
@@ -122,7 +123,7 @@
 Package: psychtoolbox-3-dbg
 Section: debug
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
+Depends: ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
 Description: toolbox for vision research -- debug symbols for binaries
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 uver_nondfsg = $(shell echo $(uver) | sed -e 's,.dfsg[0-9]*,,g')
 
 # Directories which are created/populated/cleanedup
-BDIRS=Psychtoolbox/PsychBasic/Octave3LinuxFiles Psychtoolbox/PsychBasic/PsychPlugins
+BDIRS=Psychtoolbox/PsychBasic/Octave3LinuxFiles Psychtoolbox/PsychBasic/PsychPlugins \
+ Psychtoolbox/PsychBasic/Octave4LinuxFiles64 Psychtoolbox/PsychBasic/Octave4LinuxFiles
 OCT_SHAREDDIR=debian/psychtoolbox-3-common/usr/share/psychtoolbox-3
 OCT_LIBDIR=debian/octave-psychtoolbox-3/usr/lib/psychtoolbox-3
 
@@ -21,11 +22,12 @@
 # Critical for building on machines with multiarch support
 # (e.g. ubuntu 11.04)
 GLIB_INCLUDES=$(shell pkg-config --cflags glib-2.0)
+GST_INCLUDES=$(shell pkg-config --cflags gstreamer-1.0)
 GLEW_VERSION=$(shell pkg-config --modversion glew)
 
 # Upstream advises to build without optimization at the moment
 export CXXFLAGS=-Wall -g -O0
-export CFLAGS=-Wall -g -O0 -std=gnu99 $(GLIB_INCLUDES)
+export CFLAGS=-Wall -g -O0 -std=gnu99 $(GLIB_INCLUDES) $(GST_INCLUDES)
 
 # Let's use "advanced" bash patterns
 export SHELL=/bin/bash
@@ -126,6 +128,7 @@
 #      -e MovieDemos \
 	: # Cleanup
 	find -iname MLIexpSubj11.txt -delete
+	find -type f -name core -delete
 else
 	: # Skip unittests due to nocheck
 endif
@@ -187,8 +190,3 @@
 override_dh_strip:
 	dh_strip --dbg-package=psychtoolbox-3-dbg
 
-override_dh_shlibdeps:
-	@: # octave will take care of proper deps for extensions -- no need to scan
-	@: # them and warn all the time
-	dh_shlibdeps -l$(shell octave-config --print OCTLIBDIR)
-

## psychtoolbox-3 3.0.12.20160414.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20160414.dfsg1-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:51:48 +0000

psychtoolbox-3 (3.0.12.20160414.dfsg1-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - modify the portaudio Makefile and build-depend on autotools-dev to
      support new arches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2016 10:23:25 -0700

psychtoolbox-3 (3.0.12.20160414.dfsg1-1) unstable; urgency=medium

  * Fresh upstream (largely bugfix) release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Apr 2016 21:45:47 -0400

psychtoolbox-3 (3.0.12.20160126.dfsg1-2) neurodebian; urgency=medium

  * debian/control
    - remove obsolete recommendation of subversion and recommend alsa-utils
  * debian/patches/deb_no_so2_stripping  to not link against .so instead of
    .so.2 for liboctaveinterp (relevant for older Debian/Ubuntus)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Mar 2016 19:59:46 -0500

## psychtoolbox-3 3.0.14.20170103+git6

=== SConstruct ===
import sys, os.path

def rsplit(toSplit, sub, max=-1):
    """ str.rsplit seems to have been introduced in 2.4 :( """
    l = []
    i = 0
    while i != max:
        try: idx = toSplit.rindex(sub)
        except ValueError: break

        toSplit, splitOff = toSplit[:idx], toSplit[idx + len(sub):]
        l.insert(0, splitOff)
        i += 1

    l.insert(0, toSplit)
    return l

sconsDir = os.path.join("build", "scons")
SConscript(os.path.join(sconsDir, "SConscript_common"))
Import("Platform", "Posix", "ApiVer")

# SConscript_opts exports PortAudio options
optsDict = SConscript(os.path.join(sconsDir, "SConscript_opts"))
optionsCache = os.path.join(sconsDir, "options.cache")   # Save options between runs in this cache
options = Options(optionsCache, args=ARGUMENTS)
for k in ("Installation Dirs", "Build Targets", "Host APIs", "Build Parameters", "Bindings"):
    options.AddOptions(*optsDict[k])
# Propagate options into environment
env = Environment(options=options)
# Save options for next run
options.Save(optionsCache, env)
# Generate help text for options
env.Help(options.GenerateHelpText(env))

buildDir = os.path.join("#", sconsDir, env["PLATFORM"])

# Determine parameters to build tools
if Platform in Posix:
    baseLinkFlags = threadCFlags = "-pthread"
    baseCxxFlags = baseCFlags = "-Wall -pedantic -pipe " + threadCFlags
    debugCxxFlags = debugCFlags = "-g"
    optCxxFlags = optCFlags  = "-O2"
env["CCFLAGS"] = baseCFlags.split()
env["CXXFLAGS"] = baseCxxFlags.split()
env["LINKFLAGS"] = baseLinkFlags.split()
if env["enableDebug"]:
    env.AppendUnique(CCFLAGS=debugCFlags.split())
    env.AppendUnique(CXXFLAGS=debugCxxFlags.split())
if env["enableOptimize"]:
    env.AppendUnique(CCFLAGS=optCFlags.split())
    env.AppendUnique(CXXFLAGS=optCxxFlags.split())
if not env["enableAsserts"]:
    env.AppendUnique(CPPDEFINES=["-DNDEBUG"])
if env["customCFlags"]:
    env.Append(CCFLAGS=env["customCFlags"])
if env["customCxxFlags"]:
    env.Append(CXXFLAGS=env["customCxxFlags"])
if env["customLinkFlags"]:
    env.Append(LINKFLAGS=env["customLinkFlags"])

env.Append(CPPPATH=[os.path.join("#", "include"), "common"])

# Store all signatures in one file, otherwise .sconsign files will get installed along with our own files
env.SConsignFile(os.path.join(sconsDir, ".sconsign"))

env.SConscriptChdir(False)
sources, sharedLib, staticLib, tests, portEnv = env.SConscript(os.path.join("src", "SConscript"),
        build_dir=buildDir, duplicate=False, exports=["env"])

if Platform in Posix:
    prefix = env["prefix"]
    includeDir = os.path.join(prefix, "include")
    libDir = os.path.join(prefix, "lib")
    env.Alias("install", includeDir)
    env.Alias("install", libDir)

    # pkg-config

    def installPkgconfig(env, target, source):
        tgt = str(target[0])
        src = str(source[0])
        f = open(src)
        try: txt = f.read()
        finally: f.close()
        txt = txt.replace("@prefix@", prefix)
        txt = txt.replace("@exec_prefix@", prefix)
        txt = txt.replace("@libdir@", libDir)
        txt = txt.replace("@includedir@", includeDir)
        txt = txt.replace("@LIBS@", " ".join(["-l%s" % l for l in portEnv["LIBS"]]))
        txt = txt.replace("@THREAD_CFLAGS@", threadCFlags)

        f = open(tgt, "w")
        try: f.write(txt)
        finally: f.close()

    pkgconfigTgt = "portaudio-%d.0.pc" % int(ApiVer.split(".", 1)[0])
    env.Command(os.path.join(libDir, "pkgconfig", pkgconfigTgt),
        os.path.join("#", pkgconfigTgt + ".in"), installPkgconfig)

# Default to None, since if the user disables all targets and no Default is set, all targets
# are built by default
env.Default(None)
if env["enableTests"]:
    env.Default(tests)
if env["enableShared"]:
    env.Default(sharedLib)

    if Platform in Posix:
        def symlink(env, target, source):
            trgt = str(target[0])
            src = str(source[0])

            if os.path.islink(trgt) or os.path.exists(trgt):
                os.remove(trgt)
            os.symlink(os.path.basename(src), trgt)

        major, minor, micro = [int(c) for c in ApiVer.split(".")]
        
        soFile = "%s.%s" % (os.path.basename(str(sharedLib[0])), ApiVer)
        env.InstallAs(target=os.path.join(libDir, soFile), source=sharedLib)
        # Install symlinks
        symTrgt = os.path.join(libDir, soFile)
        env.Command(os.path.join(libDir, "libportaudio.so.%d.%d" % (major, minor)),
            symTrgt, symlink)
        symTrgt = rsplit(symTrgt, ".", 1)[0]
        env.Command(os.path.join(libDir, "libportaudio.so.%d" % major), symTrgt, symlink)
        symTrgt = rsplit(symTrgt, ".", 1)[0]
        env.Command(os.path.join(libDir, "libportaudio.so"), symTrgt, symlink)

if env["enableStatic"]:
    env.Default(staticLib)
    env.Install(libDir, staticLib)

env.Install(includeDir, os.path.join("include", "portaudio.h"))

if env["enableCxx"]:
    env.SConscriptChdir(True)
    cxxEnv = env.Copy()
    sharedLibs, staticLibs, headers = env.SConscript(os.path.join("bindings", "cpp", "SConscript"),
            exports={"env": cxxEnv, "buildDir": buildDir}, build_dir=os.path.join(buildDir, "portaudiocpp"), duplicate=False)
    if env["enableStatic"]:
        env.Default(staticLibs)
        env.Install(libDir, staticLibs)
    if env["enableShared"]:
        env.Default(sharedLibs)
        env.Install(libDir, sharedLibs)
    env.Install(os.path.join(includeDir, "portaudiocpp"), headers)

## psychtoolbox-3 3.0.14.20170103+git6-g605ff5c.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1build1) artful; urgency=medium

  * No-change rebuild against liboctave4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 03:56:37 +0000

psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release + few post release fixes snapshot
  * debian/patches/deb_no_PTB_USE_NVSTUSB -- refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jan 2017 16:35:51 -0500

psychtoolbox-3 (3.0.13.20160910.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * Patch from Ubuntu (via Steve Langasek, Thanks!) to update autotools
    within shipped copy of pulseaudio (Closes: #727951)
  * debian/rules
    - for now build against upstream's copy of GLEW to overcome FTBFS
      due to changed (fixed) API (Closes: #837524)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Sep 2016 21:31:22 -0400

psychtoolbox-3 (3.0.12.20160514.dfsg1-1) unstable; urgency=medium

  * Fresh upstream (primarily optimizations) release:
    - should be able to drive PROPixx at 1440 fps on Debian-8
    - various compat fixes / optimizations for for RaspberryPi/Raspian

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 May 2016 17:30:27 -0400

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
 Package: psychtoolbox-3-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: subversion
+Recommends: alsa-utils
 Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh $@ --with quilt
 
 override_dh_quilt_patch:
-	dpkg --compare-versions $(GLEW_VERSION) lt 1.11.0 \
+	dpkg --compare-versions $(GLEW_VERSION) lt 999.1.11.0 \
 	 || { echo "I: system GLEW is $(GLEW_VERSION). Thus adding a use_system_GLEW patch"; \
 		  echo 'deb_use_system_GLEW' >> debian/patches/series; \
 	      echo "I: moving copy of glew.c aside"; \
@@ -94,7 +94,7 @@
       -e Contents -e Stereo -e Serial -e PsychCV \
       -e Cedrus -e BitsPlus -e Kinect -e GPGPU -e DualHeads -e DaqTest \
       -e Matlab -e FitCumNormYNTest -e OSAUCSTest -e FitGammaPow -e FitGammaDemo \
-      -e DirectInputMonitoringTest \
+      -e DirectInputMonitoringTest -e PosterBatchAnalyzeTimestamps \
 	  -e OldNewReco -e AlphaImageDemo/[^A] \
       -e ClutAnimDemo -e MinimumMotionExp -e AdditiveBlendingForLinearSuperpositionTutorial \
       -e ImagingVideoCaptureDemo -e AudioTunnel3DDemo \
@@ -188,5 +188,3 @@
 #	dh_fixperms
 
 override_dh_strip:
-	dh_strip --dbg-package=psychtoolbox-3-dbg
-

## psychtoolbox-3 3.0.14.20171008.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.14.20171008.dfsg1-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 20 Nov 2017 02:38:10 -0500

psychtoolbox-3 (3.0.14.20171008.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release
  * debian/patches/up_glibc_no_xlocale
    - to not #include xlocale while using glibc which no longer ships it

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 19 Nov 2017 22:07:56 -0500

psychtoolbox-3 (3.0.14.20170819.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Sep 2017 17:36:20 -0400

psychtoolbox-3 (3.0.14.20170611.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/run_tests
    - add  --no-history  option to octave invocation
  * debian/control
    - added octave-pkg-dev to Recommends of octave-psychtoolbox-3 per
      upstream's  request to facilitate users' troubleshooting

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Jun 2017 22:31:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: psychtoolbox-3
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), rsync, quilt,
                lsb-base (>= 4.1+Debian8~),
@@ -43,7 +43,7 @@
 
 Package: psychtoolbox-3-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Recommends: alsa-utils
 Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
@@ -65,7 +65,7 @@
 
 Package: psychtoolbox-3-lib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
             gstreamer1.0-plugins-bad,
@@ -91,7 +91,7 @@
 
 Package: octave-psychtoolbox-3
 Architecture: any
-Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
          psychtoolbox-3-common (= ${source:Version}),
          psychtoolbox-3-lib (= ${binary:Version}),
 Recommends: octave-audio,
@@ -99,6 +99,7 @@
             octave-optim,
             octave-signal,
             octave-statistics,
+            octave-pkg-dev,
 Provides: psychtoolbox, psychtoolbox-3
 Description: toolbox for vision research -- Octave bindings
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
@@ -123,7 +124,7 @@
 Package: psychtoolbox-3-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
+Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
 Description: toolbox for vision research -- debug symbols for binaries
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to

## psychtoolbox-3 3.0.14.20180526.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.14.20180526.dfsg1-1build3) cosmic; urgency=medium

  * No-change rebuild against octave 4.4.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Sep 2018 23:59:41 +0000

psychtoolbox-3 (3.0.14.20180526.dfsg1-1build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 16:12:46 +0200

psychtoolbox-3 (3.0.14.20180526.dfsg1-1build1) cosmic; urgency=medium

  * No-change rebuild against octave 4.4

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 09 Jul 2018 19:55:30 +0000

psychtoolbox-3 (3.0.14.20180526.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release
  * d/control
    - allow for both  dh-octave | octave-pkg-dev (>= 0.5.7)  for easy
      backportability
  * d/rules
    - handle Octave:Depends in backports friendly way

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jun 2018 10:09:38 -0400

psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on dh-octave instead of octave-pkg-dev (Closes: 890087)
  * d/p/exclude-deprecated-xlocale.h.patch: New patch (Closes: 895739)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2018 10:34:52 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: psychtoolbox-3
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), rsync, quilt,
                lsb-base (>= 4.1+Debian8~),
                matlab-support-dev,
-               octave-pkg-dev (>= 0.5.7),
+               dh-octave | octave-pkg-dev (>= 0.5.7),
                gfortran,
                libpciaccess-dev,
                libxml2-dev,
@@ -43,7 +42,7 @@
 
 Package: psychtoolbox-3-common
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: alsa-utils
 Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
@@ -65,7 +64,7 @@
 
 Package: psychtoolbox-3-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
             gstreamer1.0-plugins-bad,
@@ -91,7 +90,7 @@
 
 Package: octave-psychtoolbox-3
 Architecture: any
-Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
          psychtoolbox-3-common (= ${source:Version}),
          psychtoolbox-3-lib (= ${binary:Version}),
 Recommends: octave-audio,
@@ -124,7 +123,7 @@
 Package: psychtoolbox-3-dbg
 Section: debug
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
+Depends: ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
 Description: toolbox for vision research -- debug symbols for binaries
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to

=== debian/rules ===
--- 
+++ 
@@ -179,12 +179,9 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	: # Provide Octave:Depends
-	[ -e /usr/bin/octave-depends ] \
-	&& octave-depends \
-	|| echo 'octave:Depends=octave (>= 3.4.3-1~)' >> debian/octave-psychtoolbox-3.substvars
-
-#override_dh_fixperms:
-#	dh_fixperms
-
-override_dh_strip:
+	: # Provide Octave:Depends, do it in backports friendly way
+	if hash dh_octave_substvar; then \
+		dh_octave_substvar -poctave-psychtoolbox-3; \
+	elif hash octave-depends; then \
+		octave-depends; \
+	else \
